.TH PAGURE-ADMIN "1" "February 2020" "pagure-admin 5.8.1" "User commands"

.SH NAME
pagure-admin \- The admin CLI for pagure

.SH SYNOPSIS

.PP
\fBpagure-admin\fR [\fB\-c\fR CONFIG] [\fB\-\-debug\fR] [\fBrefresh-gitolite\fR | \fBrefresh-ssh\fR | \fBclear-hook-token\fR | \fBadmin-token\fR | \fBget-watch\fR PROJECT USER | \fBupdate-watch\fR PROJECT USER | \fBread-only\fR PROJECT | \fBnew-group\fR GROUP USER | \fBlist-groups\fR | \fBblock-user\fR USER DATE | \fBupload-repospanner-hook\fR REGION | \fBensure-project-hooks\fR HOOK | \fBdelete-project\fR PROJECT USER | \fBcreate-branch\fR PROJECT BRANCH USER | \fBset-default-branch\fR PROJECT BRANCH ]
.TP
\fBpagure-admin\fR [\fB\-h\fR | \fB\-\-help\fR]

.SH DESCRIPTION
\fBpagure-admin\fR is the CLI tool that can be used to manage a pagure
instance.

.SH OPTIONS

.TP
\fBrefresh-gitolite\fR

Re-generate the gitolite config file.

.TP
\fBrefresh-ssh\fR

Re-write to disk every user's ssh key stored in the database.

.TP
\fBclear-hook-token\fR

Generate a new hook token for every project in this instance.

.TP
\fBadmin-token\fR

Manages the admin tokens for this instance.

.TP
\fBget-watch\fR PROJECT USER

Get USER's watch status on a PROJECT.

.TP
\fBupdate-watch\fR PROJECT USER

Update USER's watch status on a PROJECT.

.TP
\fBread-only\fR PROJECT

Get or set the read-only flag on a PROJECT.

.TP
\fBnew-group\fR GROUP USER

Create a new GROUP on this pagure instance, set USER as having created
the GROUP, and add him/her to the GROUP.

.TP
\fBlist-groups\fR

Lists existing groups on this pagure instance.

.TP
\fBblock-user\fR USER DATE

Prevents an USER to interact with this pagure instance until the
specified DATE.

.TP
\fBupload-repospanner-hook\fR REGION

Upload repoSpanner hook script to the specified REGION.

.TP
\fBensure-project-hooks\fR HOOK

Ensure all projects have their hooks setup.  HOOK is the repoSpanner
hook ID to set.

.TP
\fBdelete-project\fR PROJECT USER

Delete the PROJECT specified, and log it as having been deleted by
USER.

.TP
\fBcreate-branch\fR PROJECT BRANCH USER

Create as USER the specified BRANCH in the specified PROJECT.

.TP
\fBset-default-branch\fR PROJECT BRANCH

Set the specified BRANCH as default on PROJECT.

.TP
\fB\-\-help\fR

Displays the help message.

.SH REPORTING BUGS
Please report bugs using the Debian BTS <https://bugs.debian.org>.

.SH AUTHOR
\fBpagure-admin\fR is copyright (C) 2014 Red Hat, Inc.

.PP
This manual page was written by Sergio Durigan Junior
<sergiodj@debian.org>.  It was written for the Debian GNU/Linux system
but may be used by others.

.PP
Permission is granted to copy, distribute and/or modify this document under the
terms of the GNU General Public License, Version 2 or any later version published
by the Free Software Foundation.
